Loading...
Searching...
No Matches
hlist_node Struct Reference

Node of a double linked list with a single pointer list head. More...

`#include <list.h>`

## Data Fields

struct hlist_node * | next
| Pointer to the next node.
struct hlist_node ** | pprev
| Pointer to the previous node's `next` pointer, or to the list head's `first` pointer.

## Detailed Description

Node of a double linked list with a single pointer list head.

This structure is modelled after the Linux kernel list API.

The documentation for this struct was generated from the following file:

- src/list.h